#define EvePlayerInit
/// EvePlayerInit()

// Settings -------------------------------------------------------------
lDirection      = 0;    // Direction 
lPitch          = 0;    // Lookup and down
lCamTilt        = 0;    // Tilt camera left and right
lCamMove        = 0;    // Move camera left and right when tilting
lZ              = 0;    // Z
lHeight         = 16;   // Player's height
lZspeed         = 0;    // Z Speed
lGravity        = 0.8;  // Gravity            0.5 for space  
lGravityMax     = 4;    // Max fall speed     4   for space / low graivty
lJumpSpeed      = 10;
lAcc            = 0.9;  // Walking Accleration 
lSpeed          = 3.4;  // Walking Speed
lSpeedBackUp    = 3;
friction        = 0.6;

// Init Scripts / Calculations ------------------------------------------
D3d_Set(true);          // Init 3d
D3d_Set_Hidden(true);   // Hide things out of your projection
ScrDeltaInit();         // Delta
ScrLookMouse(0);        // Centers Mouse 

// Flags ----------------------------------------------------------------
do_init         = true;  // Init in step event
do_destroy      = false; // Destroy in step event
destroy_silent  = true;  // Allow instance to be Destory

// Process --------------------------------------------------------------
depth           = 0;
lOnFloor        = false;
lHspeed         = 0;
lVspeed         = 0;
lZ_Head         = lZ + lHeight;
lLean           = 0;
lZdir           = tan(degtorad(lPitch));    // Prepare pitch for projection
lSenestivity    = global.gMouseSenestivity;
lFov            = global.gFov;
lMouseEnable    = global.gMouseEnable;


// Defaults
EvePlayerInitDefaults();


#define EvePlayerInitDefaults
/// EvePlayerInitDefaults()

// Settings -------------------------------------------------------------
lDirection_Default      = lDirection;
lPitch_Default          = lPitch;            
lCamTilt_Default        = lCamTilt;     
lCamMove_Default        = lCamMove;   
lZ_Default              = lZ;
lHeight_Default         = lHeight;
lZspeed_Default         = lZspeed;
lGravity_Default        = lGravity;
lGravityMax_Default     = lGravityMax;
lJumpSpeed_Default      = lJumpSpeed;
lAcc_Default            = lAcc;   
lSpeed_Default          = lSpeed;
lSpeedBackUp_Default    = lSpeedBackUp;          
friction_Default        = friction;